GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_GtkDataboxClass Struct Reference

`#include <gtkdatabox.h>`

## Data Fields

GtkWidgetClass | parent_class
void(* | zoomed )(GtkDatabox *box)
void(* | selection_started )(GtkDatabox *box, GtkDataboxValueRectangle *selectionValues)
void(* | selection_changed )(GtkDatabox *box, GtkDataboxValueRectangle *selectionValues)
void(* | selection_finalized )(GtkDatabox *box, GtkDataboxValueRectangle *selectionValues)
void(* | selection_canceled )(GtkDatabox *box)

## Field Documentation

GtkWidgetClass parent_class

void(* selection_canceled)(GtkDatabox *box)

void(* selection_changed)(GtkDatabox *box, GtkDataboxValueRectangle *selectionValues)

void(* selection_finalized)(GtkDatabox *box, GtkDataboxValueRectangle *selectionValues)

void(* selection_started)(GtkDatabox *box, GtkDataboxValueRectangle *selectionValues)

void(* zoomed)(GtkDatabox *box)

The documentation for this struct was generated from the following file:

- gtk/gtkdatabox.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines